import { jsx as _jsx } from "react/jsx-runtime";
import { unifiedMergeView } from "@codemirror/merge";
import { CircularProgress, useColorScheme } from "@mui/joy";
import { lazy, Suspense } from "react";
const CodeMirror = lazy(() => import("@uiw/react-codemirror"));
export function MergeEditor(props) {
    const { mode } = useColorScheme();
    return (_jsx(Suspense, { fallback: _jsx(CircularProgress, {}), children: _jsx(CodeMirror, { id: "editor", value: props.newContent, height: "80%", basicSetup: {
                lineNumbers: false,
                foldGutter: false,
                highlightActiveLine: false,
                syntaxHighlighting: false,
                autocompletion: false,
                highlightSelectionMatches: false,
            }, theme: mode === "dark" ? "dark" : "light", extensions: [
                unifiedMergeView({
                    original: props.oldContent,
                    highlightChanges: true,
                    gutter: true,
                }),
            ] }) }));
}
